# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-05 20:21
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
    ]

    operations = [
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('published', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='PageContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Image')),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='pages.Page')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Video')),
            ],
            options={
                'ordering': ('page', 'position'),
                'abstract': False,
                'verbose_name': 'Content Item',
            },
        ),
    ]
